Subject: [Geopriv] Code collision in relative-location

From: Martin Thomson <[email-masked]>
Date: Mon, 15 Jul 2013 14:15:41 -0700

Barry notes that we have a collision in the codes that we assigned for
draft-ietf-geopriv-relative-location.

RFC 4776 defines 128 as Script.  relative-location tries to use that
for relative location map coordinates.

Since I've been tardy enough that the deadline is imminent, I'm going
to renumber to avoid this problem.  To keep things clean, I'm going to
bump all the codes from 128 up by one.

OLD:
   | 128    | relative location map coordinates      | this RFC  |
   | 129    | relative location map angle            | this RFC  |
   | 130    | relative location map scale            | this RFC  |
NEW:
   | 129    | relative location map coordinates      | this RFC  |
   | 130    | relative location map angle            | this RFC  |
   | 131    | relative location map scale            | this RFC  |

If this is a problem, please object.  If you are quick, we might be
able to catch the deadline.

---

From: Brian Rosen <[email-masked]>
Date: Mon, 15 Jul 2013 17:16:58 -0400

Doit

---

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 15 Jul 2013 23:25:51 +0200

Make the change. 

On Jul 15, 2013, at 11:15 PM, Martin Thomson wrote:

> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/geopriv

---

From: James Winterbottom <[email-masked]>
Date: Tue, 16 Jul 2013 08:01:53 +1000

I think that the problem is more serious than this.
RFC6848 for all intents and purposed closed the CATypes registry to
registration of new types "except by IESG Approval [RFC5226] under unusual
circumstances".

If we want to register these as new types then we probably need state why
this is an "unusual circumstance".

Cheers
James

On Tue, Jul 16, 2013 at 7:25 AM, Hannes Tschofenig <
[email-masked]> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA512
>
> Make the change.
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG/MacGPG2 v2.0.19 (Darwin)
> Comment: GPGTools - http://gpgtools.org
>
> iQEcBAEBCgAGBQJR5GjfAAoJEGhJURNOOiAtAEsH/154fZS9jDeMX1mOnobIHb0n
> pJacNWduAIoHDk6cgkR/XRYPrs4EEd+w60TUw7cMaP4M0aoKpIrn+rhxrnXyCWpH
> 0aG9eSFAElOu653tTVGaRBlcnSv8j7RHc1rMLRXjLYajo3AhMPb6JWuyu6qjQ7ZD
> x8imeqiis6HrxMXNg7QjIM6dpdiXvRATxRQg55HNr9zgVpf6khjUep6E8FoTFikq
> EDvUPziNlUGTP+3IQ/IWekUx7caRHS9pjL4bSiFkMAQGeH8EWvTNGE72fTPuhbTG
> IPov7Yuak5dS6Fgl4XftPnvvj3tOUTmC/S/ogH0AnHqRXMC6cl4OcgeJJSzgwWE=
> =YrbZ
> -----END PGP SIGNATURE-----

---

From: Brian Rosen <[email-masked]>
Date: Mon, 15 Jul 2013 18:07:22 -0400

We aren't registering any new CAtypes.

We're creating a new registry and asking IANA to not have conflicts with CAtypes.  Since no new numeric CAtypes are allowed, this is a simple request to IANA.

Brian

On Jul 15, 2013, at 6:01 PM, James Winterbottom <[email-masked]> wrote:

> RFC6848 for all intents and purposed closed the CATypes registry to registration of new types "except by IESG Approval [RFC5226] under unusual circumstances". 
> 
> If we want to register these as new types then we probably need state why this is an "unusual circumstance".
> 
> Cheers
> James
> 
> 
> 
> On Tue, Jul 16, 2013 at 7:25 AM, Hannes Tschofenig <[email-masked]> wrote: